Subject: Re: CGI using gcc
From: [email-masked] (Kermit Tensmeyer)

10 Oct 1997 07:10:31 -0700
Message-ID: <[email-masked]>
References: <5060200005471053000002L032*@MHS>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Abbas Birjandi <[email-masked]>
Cc: [email-masked]

Abbas Birjandi wrote:
> 
> FormName:
> SwipeFrom: Abbas Birjandi/France/IBM @ IBMFR
> ValidationTesting: 0
> oldfrom: Abbas Birjandi/France/IBM
> 
> Hi,
> I have a written a cgi code that compiles fine with gcc.  But when I try it
> along my html page, I get the error that the CGI did not retrun correct header
> info...
> However, the same program compiled by MS C++ compiler, works fine and
> I do not get any such errors.
> 
> I am running Windows NT 4.0 workstation.

The general method to resolving this type of problem is to examine the
headers
 that are being generated.

 try executing the program from the command line and
 pass in the correct parameters. examine the contents of
 the standard out file.

  examine the headers that the software sends out. You may find that 
 the header is missing a "\n\n" just after the first line.

-- 
-------
  Kermit Tensmeyer    (IBM E & T - Networking)
  [email-masked]     Dallas
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".